'' =================================================================================================
''
''   File....... jm_txrx_demo.spin
''   Purpose.... Demonstrates jm_txserial and jm_rxserial objects
''   Author..... Jon "JonnyMac" McPhalen (aka Jon Williams)
''   E-mail..... jon@jonmcphalen.com
''   Started.... 
''   Updated.... 16 JUL 2009
''
'' =================================================================================================


con

  _clkmode = xtal1 + pll16x
  _xinfreq = 5_000_000

  
con

  BAUD = 3_000_000

  #0, CLS, HOME, #8, BKSP, TAB, LF, CLREOL, CLRDN, CR           ' PST formmatting control 


obj

  termout : "jm_txserial"
  termin  : "jm_rxserial"
  

pub main | ch

  termout.init(30, BAUD)
  termin.init(31, BAUD)   
  waitcnt(clkfreq/4 + cnt)

  termout.tx(CLS)
  termout.str(string("TX/RX Serial Demo", CR, "-- please press a key", CR, CR))
  
  repeat
    ch := termin.rx
    termout.str(string("--> "))
    termout.tx(ch)
    termout.tx(CR)
    
                   